################################################################################
#
# Copyright (c) 2020 Baidu.com, Inc. All Rights Reserved
#
################################################################################
"""
This module defines some common string constants.
"""
USER_CFG_PATH = "./user_cfg.json"
HEART_BEAT_INTERVAL = 1

RETRY_TIMES = 3
RETRY_INTERVALS = 0.5

SYSTEM_DISK_MOUNT_DIR = "/mnt/sysdisk"
DATA_DISK_MOUNT_DIR_PREFIX = "/mnt/datadisk"

BOOT_UEFI = "UEFI"
BOOT_BIOS = "BIOS"

UEFI_GRUB_CFG_PATH_PREFIX = "/boot/efi/EFI/"
BIOS_GRUB_CFG_PATH_PREFIX = "/boot/"
GRUB_CFG_FILE_NAME = "grub.cfg"

