#!/usr/bin/env python
# -*- coding: UTF-8 -*-
################################################################################
#
# Copyright (c) 2020 Baidu.com, Inc. All Rights Reserved
#
################################################################################
"""
Setup script.

Authors: liujianan02(liujianan02@baidu.com)
Date:    2020/02/21 11:01:57
"""

import setuptools
import io
import os
import re


setuptools.setup(
    name="migrate-center-agent",
    version="1.0.0",
    install_requires=['pycrypto>=2.4',
                      'future>=0.6.0',
                      'six>=1.4.0',
                      'psutil',
                      'cryptography',
                      'gevent'],
    python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, <4',
    packages=['baidubce',
              'baidubce.auth',
              'baidubce.http',
              'baidubce.retry',
              'migrate_center_agent',
              'migrate_center_agent.rsync'
              ],
    url='http://bce.baidu.com',
    license='Apache License 2.0',
    author='',
    author_email='',
    description=''
)
